Download it now!
Bug 53320 - LibreOffice 3.6 will not open on OS X 10.7.5 and Mountain Lion with "unidentified developer" error - GateKeeper
Summary: LibreOffice 3.6 will not open on OS X 10.7.5 and Mountain Lion with "unidenti...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 53500 54666 54667 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2012-08-10 05:48 UTC by Mark Deepwell
Modified: 2014-02-26 10:27 UTC (History)
12 users (show)

See Also:
Crash report or crash signature:


Attachments
Gatekeeper prevents running language pack installer (60.86 KB, image/png)
2014-02-24 16:59 UTC, lists
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Deepwell 2012-08-10 05:48:15 UTC
LibreOffice 3.6.0 will not open in OS X Mountain Lion 10.8.

A popup window appears and says "“LibreOffice” can’t be opened because it is from an unidentified developer."

The only way to work-around that I know of is to go to system settings, Security & Privacy, and allow applications downloaded from "Anywhere"
See: http://www.macworld.com/article/1165408/mountain_lion_hands_on_with_gatekeeper.html

Expected Result:
LibreOffice 3.6 should work immediately without extra settings, just like LibreOffice 3.5 did.
Comment 1 Mark Deepwell 2012-08-10 06:05:46 UTC
Note: LibreOffice 3.5 installed without any difficulty probably because it was installed with OS X 10.7, before I upgraded to 10.8.
Comment 2 Julien Nabet 2012-08-12 11:44:50 UTC
I found this link too http://www.italovignoli.org/2012/08/libreoffice-and-mountain-lion-macos-x-10-8/
It seems there'll be a signed version in future but I don't know more.
Comment 3 Julien Nabet 2012-08-15 12:49:09 UTC
*** Bug 53500 has been marked as a duplicate of this bug. ***
Comment 4 Testaert 2012-08-15 17:54:46 UTC
(In reply to comment #3)
> *** Bug 53500 has been marked as a duplicate of this bug. ***
I had already changed Mountain Lion to accept software from any source but still it did not load.
I repeat : I started the software before copying it to te application section and then it worked.
So presuming that changing the security setting is enough might not work. In any case for me ir did not.
Comment 5 Roman Eisele 2012-08-29 08:52:19 UTC
@Thorsten Behrens:
Sorry, but this looks like another issue for our MacOS X expert :-( If you know someone else who could take this MacOS-related issue, please CC him.

IMHO we need to fix this issue soon, because it will really prevent people from installing and using LibreOffice on MacOS X 10.8. Even if the proposed workaround (see link in comment #2) works, the necessity to change security settings may prevent some people from using LibreOffice, because they think this could harm the computer. And comment #4 even says that the workaround sometimes does not work ...

Thank you!
Comment 6 Alex Thurgood 2012-08-29 09:54:50 UTC
ALL:

The other workaround, which does not involve fiddling with the security settings, is to right mouse button click on the .app icon and choose "Open" from the context menu. You will be asked "once" if you really want to start the program, and then it will launch. There must be some magic flag set in Apple's security subsystem that notes this and then doesn't bother the user afterwards.

However, this has to be repeated, if you  re-install, upgrade, etc, the application at a later date.


Alex
Comment 7 Alex Thurgood 2012-09-08 13:52:32 UTC
*** Bug 54667 has been marked as a duplicate of this bug. ***
Comment 8 Alex Thurgood 2012-09-08 16:14:10 UTC
*** Bug 54666 has been marked as a duplicate of this bug. ***
Comment 9 Jean Weber 2012-09-12 11:27:37 UTC
I added the link to Italo's article and a paragraph about the easier solution to the get-help/installation/Mac page. My changed page has been submitted for publication.
Comment 10 Joe Pranevich 2012-10-15 19:41:09 UTC
The relevant devs may know this already, but here are Apple's instructions for resolving this problem:

http://developer.apple.com/library/mac/#documentation/ToolsLanguages/Conceptual/OSXWorkflowGuide/DistributingApplicationsOutside/DistributingApplicationsOutside.html
Comment 11 Emir Sarı 2013-01-05 14:56:52 UTC
Is there any info about when this will be resolved? Assuming many people will try 4.0 release, which is a "big" release, it is essential to get rid of this problem. 

And since this is a security issue, I think it is essential to get rid of all issues which arises questions in mind. As Roman stated above, many people would be suspicious about this error, therefore uninstall LibreOffice.

I'd like to remind that since OS X 10.7.5 also got the Gatekeeper feature, the user base involving this problem has extended to cover the 10.7.5 users as well. ;)
Comment 12 Xavi Ivars 2013-02-04 17:51:45 UTC
This problem gets even worse when dealing with Language Packs, as a comment in Italo's article says

http://www.italovignoli.org/2012/08/libreoffice-and-mountain-lion-macos-x-10-8/#comment-1046

It's definitively a non-friendly installation process if we have to ask users to lower their system security level, and a lot of non-advanced users won't follow the process if it scares them.
Comment 13 Emir Sarı 2013-02-04 17:55:20 UTC
I wonder why this bug is not treated as a blocker!?
Comment 14 Julien Nabet 2013-02-04 21:31:17 UTC
Emir: by reading this https://wiki.documentfoundation.org/Release_Criteria#Blocker_Bug_Definition, perhaps because a reasonable workaround exists.

If I didn't misunderstand some Tor's commits of these days, it seems it's in progress.
Tor: do you confirm my previous sentence?
- If no, sorry for the noise
- If yes, any idea if it'll be ready for 4.0.1? (since I suppose that even if the work is finished, it won't be cherry picked on 4.0.0)
Comment 15 Xavi Ivars 2013-02-04 22:01:31 UTC
I can understand is not defined as a blocker bug, but I think it should have a really high priority, as right now can be blocking LibreOffice adoption for a lot of users.
Comment 16 Don't use this account, use tml@iki.fi 2013-02-04 22:04:18 UTC
Julien: Yep, there is work in progress on this front. When it will be ready, and whether it is a good idea to cherry-pick to the 4-0 branch (for inclusion in 4.0.1), I don't know. But anyway, the official TDF builds are built with an obsolete Xcode 3.x tool-chain (in order to be usable on Mac OS X 10.4), and I have no idea whether signed binaries and a signed app bundle will cause troubles there, or whether it is even possible to sign binaries produced by the obsolete tool-chain.
Comment 17 Emir Sarı 2013-02-04 22:36:06 UTC
(In reply to comment #16)
> Julien: Yep, there is work in progress on this front. When it will be ready,
> and whether it is a good idea to cherry-pick to the 4-0 branch (for
> inclusion in 4.0.1), I don't know. But anyway, the official TDF builds are
> built with an obsolete Xcode 3.x tool-chain (in order to be usable on Mac OS
> X 10.4), and I have no idea whether signed binaries and a signed app bundle
> will cause troubles there, or whether it is even possible to sign binaries
> produced by the obsolete tool-chain.

Thanks for the information. :)

Hmm, is 4.0 working also on Tiger? I thought SL is the minimum requirement for 4.0.
Comment 18 Emir Sarı 2013-06-20 13:11:53 UTC
Since "Gatekeeper" pass is already implemented, I am closing this bug.
Comment 19 Knuth Posern 2013-06-21 15:08:29 UTC
*** Bug 54667 has been marked as a duplicate of this bug. ***
Comment 20 Knuth Posern 2013-06-21 15:09:49 UTC
Hi.

The problem still occurs for me.

Mac OSX Mountain Lion 10.8.4

LibreOffice 4.0.4 MacOSX intel

Security Setting for Gatekeeper: "Mac App Store and identified developers"


Any ideas ?
Anything I can check / provide, please let me know.

Tormen
Comment 21 Emir Sarı 2013-06-21 16:52:18 UTC
Yes, the thing is, language packs still cannot pass the Gatekeeper. I haven't tested this myself until now, cause I always have the Gatekeeper "off".
Comment 22 retired 2014-02-22 20:53:41 UTC
For me 4.2.1 opens fine. No Gatekeeper complaints on 10.9.1. I assume LO builds are signed by now. Yey °/

Also language packs install just fine.

In System preferences > Security > General I use the second "allow Apps-Download" option (mac app store and verified developers).

Can someone else verify this and update this ticket with info on both LO 4.2.1 and latest language packs?

Also rasing importance to high. If LO can be signed, so can the language packs. This makes for a confusing first user experience otherwise.
Comment 23 retired 2014-02-23 18:04:00 UTC
Just verified in QA IRC that language packs should be signed.

So all is good and this is WORKSFORME °/
Comment 24 lists 2014-02-24 16:59:57 UTC
Created attachment 94669 [details]
Gatekeeper prevents running language pack installer

Libreoffice 4.1.5 Language pack does still NOT install. Reproducing:
1. Remove previous versions of LibreOffice (this is essential as Gatekeeper remembers running a previous version)
2. Install new version
3. Download language pack, in my case the Dutch language pack
3. Run language pack installer. You get the message that it is from a unknown, untrusted developer. See screenshot attachment.
Comment 25 lists 2014-02-24 17:00:11 UTC
Libreoffice 4.1.5 Language pack does still NOT install. Reproducing:
1. Remove previous versions of LibreOffice (this is essential as Gatekeeper remembers running a previous version)
2. Install new version
3. Download language pack, in my case the Dutch language pack
3. Run language pack installer. You get the message that it is from a unknown, untrusted developer. See screenshot attachment.
Comment 26 retired 2014-02-24 20:27:47 UTC
Leon, what about 4.2.1 and the according language pack?

Fixed in 4.2 and above only. 4.1.x users need to right click and "open".

back to worksforme.
Comment 27 lists 2014-02-25 05:26:12 UTC
Indeed the bug is resolved in 4.2.1. Thanx!

PS: I didn't know about 4.2.1, I used the update function from within LibreOffice which updated it to 4.1.5.
Comment 28 retired 2014-02-25 21:29:00 UTC
yes the update function is not ideal to put it mildly. but better than nothing. you can always check http://libreoffice.org/download/ for the latest release.
Comment 29 lists 2014-02-26 10:27:37 UTC
(In reply to comment #28)
> yes the update function is not ideal to put it mildly. but better than
> nothing. you can always check http://libreoffice.org/download/ for the
> latest release.

Better solution would be updating LibreOffice via de Mac OSX Appstore. See Bug 32848